import matplotlib.pyplot as plt
import numpy as np

def gen_48v_theory():
    xdata = np.linspace(43, 53, 100)
    ydata = xdata / 241 * 8 * 1.1

    plt.style.use('bmh')
    plt.figure(figsize=(8, 6))

    plt.plot(ydata, xdata)

    plt.xlabel('V$_{pin}$')
    plt.ylabel('V$_{48V in}$')

    plt.savefig('v48.pdf')


if __name__ == "__main__":
    gen_48v_theory()